hpp-corbaserver: _impl_SplineBernstein5 Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_SplineBernstein5 Class Referenceabstract

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for _impl_SplineBernstein5:
[legend]
Collaboration diagram for _impl_SplineBernstein5:
[legend]

## Public Member Functions
virtual | ~_impl_SplineBernstein5 ()
virtual Path_ptr | steer (const ::hpp::floatSeq &q1, const ::hpp::intSeq &order1, const ::hpp::floatSeqSeq &derivatives1, const ::hpp::floatSeq &q2, const ::hpp::intSeq &order2, const ::hpp::floatSeqSeq &derivatives2, ::CORBA::Float length)=0
virtual Path_ptr | steerSE3 (const ::hpp::floatSeq &q1, const ::hpp::intSeq &order1, const ::hpp::floatSeqSeq &derivatives1, const ::hpp::floatSeq &q2, const ::hpp::intSeq &order2, const ::hpp::floatSeqSeq &derivatives2, ::CORBA::Float length)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
Public Member Functions inherited from _impl_SteeringMethod
virtual | ~_impl_SteeringMethod ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual Path_ptr | call (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2)=0
virtual void | setConstraints (::hpp::core_idl::ConstraintSet_ptr constraints)=0
virtual Constraint_ptr | getConstraints ()=0

## Constructor & Destructor Documentation

## ◆ ~_impl_SplineBernstein5()

virtual _impl_SplineBernstein5::~_impl_SplineBernstein5 | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_SplineBernstein5::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented from _impl_SteeringMethod.

## ◆ steer()

virtual Path_ptr _impl_SplineBernstein5::steer | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::intSeq & | order1,
|  | const ::hpp::floatSeqSeq & | derivatives1,
|  | const ::hpp::floatSeq & | q2,
|  | const ::hpp::intSeq & | order2,
|  | const ::hpp::floatSeqSeq & | derivatives2,
|  | ::CORBA::Float | length
| ) |  |
| pure virtual

## ◆ steerSE3()

virtual Path_ptr _impl_SplineBernstein5::steerSE3 | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::intSeq & | order1,
|  | const ::hpp::floatSeqSeq & | derivatives1,
|  | const ::hpp::floatSeq & | q2,
|  | const ::hpp::intSeq & | order2,
|  | const ::hpp::floatSeqSeq & | derivatives2,
|  | ::CORBA::Float | length
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh